<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Convenio</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Adminstrador</a>
            </li>
            <li class="breadcrumb-item active">Nuevo convenio</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nuevo Convenio</strong></h2>
          </div>
          <div class="body">
            <form class="m-4" #FormGroupDirective [formGroup]="ConvForm" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre del Convenio</mat-label>
                    <input matInput formControlName="nombre" required>
                    <mat-error *ngIf="ConvForm.get('nombre').hasError('required')">
                      El nombre es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>% de descuento</mat-label>
                    <input type="number" matInput formControlName="descuento" required>
                    <mat-error *ngIf="ConvForm.get('descuento').hasError('required')">
                      El descuento es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width" appearance="fill">
                    <mat-select required formControlName="nombreDoc">
                      <mat-option *ngFor="let doctor of doctores" value="{{doctor.idDoctores}}">{{doctor.Nombre}}</mat-option>
                    </mat-select>
                      <mat-error *ngIf="ConvForm.get('nombreDoc').hasError('required')">
                        El Nombre es requerido
                      </mat-error>
                    <mat-label>
                      Nombre del doctor del convenio
                    </mat-label>
                  </mat-form-field> -->

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="docs === null">
                    <mat-label>Sin Doctores</mat-label>
                    <mat-select formControlName="nombreDoc" [disabled]="true">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrodoctor" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option *ngFor="let doc of docs1" [value]="doc.idUsuario">
                        {{doc.NombreUsuario}} {{doc.Apellidos}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>

                  <mat-form-field class="example-full-width " appearance="outline" *ngIf="docs !== null">
                    <mat-label>Doctor</mat-label>
                    <mat-select formControlName="nombreDoc">
                      <mat-option>
                        <ngx-mat-select-search [formControl]="filtrodoctor" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                      </mat-option>
                      <mat-option value="0">
                        Matriz
                      </mat-option>
                      <mat-option *ngFor="let doc of docs1" [value]="doc.idUsuario">
                        {{doc.NombreUsuario}} {{doc.Apellidos}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>

                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Notas</mat-label>
                    <input type="text" matInput formControlName="notas">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3" *ngIf="idClinica !== null">
                  <button class="mr-3" [disabled]="!ConvForm.valid " mat-raised-button color="primary">Agregar</button>
                  <!-- <button type="button" mat-button>Cancel</button> -->
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
